package com.bjsxt.controller;


import com.bjsxt.pojo.User;
import com.bjsxt.service.ClientService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class ClientController {
    @Autowired
    private ClientService clientService;
    @GetMapping("/test")
    public List<String> testFeign() {
        return clientService.testFeign();
    }

    @GetMapping("/getMultiParams")
    public User getMultiParams(Integer age, String name) {
        return clientService.getMultiParams(age, name);
    }

    @GetMapping("/postMultiParams")
    public User postMultiParams(Integer age, String name) {
        return clientService.postMultiParams(age, name);
    }

    @GetMapping("/postObjectParam")
    public User postObjectParam(User user) {
        return clientService.postObjectParam(user);
    }
}

