package com.bjsxt.controller;

import com.bjsxt.pojo.User;
import com.bjsxt.service.ServiceApi;
import org.springframework.stereotype.Controller;

import java.util.Arrays;
import java.util.List;

@Controller
public class ServiceController implements ServiceApi {

    @Override
    public List<String> testFeign() {
        return Arrays.asList("测试openfeign","此为返回结果");
    }

    @Override
    public User getMultiParams(Integer age, String name) {
        System.out.println("getMultiParams method run, age:" + age + " name:" + name);
        User user = new User();
        user.setAge(18);
        user.setName("molly");
        return user;
    }

    @Override
    public User postMultiParams(Integer age, String name) {
        System.out.println("postMultiParams method run, age:" + age + " name:" + name);
        User user = new User();
        user.setAge(18);
        user.setName("molly");
        return user;
    }

    @Override
    public User postObjectParam(User pojo) {
        System.out.println("postMultiParams method run, pojo:" + pojo);
        return pojo;
    }
}
